Ticket #24665

株価データダウンロードサイトから株価の更新ができない

Open Date: 2011-03-17 12:49 Last Update: 2014-04-14 21:09

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Accepted
File:
None

Details

株価データダウンロードサイトを指定して株価の更新をするとエラーになる。

Ticket History (3/8 Histories)

2011-03-17 12:49 Updated by: panacoran
  • New Ticket "株価データダウンロードサイトから株価の更新ができない" created
2011-03-23 13:55 Updated by: panacoran
Comment

1.6については直しました。

2013-02-18 14:09 Updated by: panacoran
  • Component Update from (None) to pt-110315
Comment

またダウンロード方法とフォーマットが変わったので、バージョン2.0については直しました。バージョン1.6についてはもう直さなくてもいいかなと。

2013-03-11 16:25 Updated by: panacoran
  • Status Update from Open to Closed
  • Ticket Close date is changed to 2013-03-11 16:25
Comment

解決済みなので閉じます。

2013-09-12 14:05 Updated by: panacoran
  • Resolution Update from Fixed to Accepted
  • Status Update from Closed to Open
Comment

東証と大証の統合で市場名が変わったので統合以降の株価データが取得できなくなっています。

2013-09-15 00:55 Updated by: panacoran
  • Status Update from Open to Closed
  • Ticket Close date is changed to 2013-09-15 00:55
Comment

r492で直しました。

k-db.comの場合は指数に東証一部の出来高を入れるために市場統計データを使っています。k-db.comの市場統計データは約2年分しかないので、それより前の株価データは取得できないようにしてあります。

この制限によりジャスダックとヘラクレスの統合前のデータは取得できないので、現状ではヘラクレスへの対応は不要です。しかし制限を外したときには必要になるので、ヘラクレスへの対応をこのついでに復活させておきました。

2014-04-06 14:56 Updated by: panacoran
  • Status Update from Closed to Open
  • Component Update from pt-110315 to trunk
Comment

サイトの構成が変更されたので再び株価データをダウンロードできなくなっています。

2014-04-14 21:09 Updated by: panacoran
  • Ticket Close date is changed to 2014-04-14 21:09
  • Status Update from Open to Closed
Comment

r519で直しました。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login